package com.hotent.portal.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hotent.base.entity.AutoFillModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 会议室管理
 *
 * @company 广州宏天软件股份有限公司
 * @author zhangxw
 * @email zhangxw@jee-soft.cn
 * @since 2021-06-25
 */
@ApiModel(value="会议室对象", description="会议室管理")
public class PortalMeetingRoom extends AutoFillModel<PortalMeetingRoom> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID_", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "会议室名称")
    @TableField("NAME_")
    private String name;

    @ApiModelProperty(value = "会议室别名")
    @TableField("ALIAS_")
    private String alias;

    @ApiModelProperty(value = "会议室类型")
    @TableField("TYPE_")
    private String type;

    @ApiModelProperty(value = "会议室容量")
    @TableField("CAPACITY_")
    private Integer capacity;

    @ApiModelProperty(value = "会议室地址")
    @TableField("ADDRESS_")
    private String address;

    @ApiModelProperty(value = "楼层房间号")
    @TableField("FLOOR_ROOM_NUMBER_")
    private String floorRoomNumber;

    @ApiModelProperty(value = "包含设备")
    @TableField("EQUIPMENT_")
    private String equipment;

    @ApiModelProperty(value = "会议室状态（可用、不可用）")
    @TableField("STATUS_")
    private String status;

    @ApiModelProperty(value = "会议室说明描述")
    @TableField("DESC_")
    private String desc;
    
    @ApiModelProperty(value = "租户id")
    @TableField("TENANT_ID_")
    private String tenantId;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public Integer getCapacity() {
        return capacity;
    }

    public void setCapacity(Integer capacity) {
        this.capacity = capacity;
    }
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
    public String getFloorRoomNumber() {
        return floorRoomNumber;
    }

    public void setFloorRoomNumber(String floorRoomNumber) {
        this.floorRoomNumber = floorRoomNumber;
    }
    public String getEquipment() {
        return equipment;
    }

    public void setEquipment(String equipment) {
        this.equipment = equipment;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
    

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	@Override
    public String toString() {
        return "PortalMeetingRoom{" +
            "id=" + id +
            ", name=" + name +
            ", alias=" + alias +
            ", type=" + type +
            ", capacity=" + capacity +
            ", address=" + address +
            ", floorRoomNumber=" + floorRoomNumber +
            ", equipment=" + equipment +
            ", status=" + status +
            ", desc=" + desc +
        "}";
    }
}
